﻿using Luticate2.Auth.Dbo.Result;

namespace Luticate2.Auth.Exceptions
{
    public static class LuExceptionsExtensions
    {
        public static void Throw<T>(this LuResult<T> result)
        {
            throw new LuResultException(result.To<object>());
        }

        public static LuResult<T> ThrowIfNotSuccess<T>(this LuResult<T> result)
        {
            if (!result)
            {
                result.Throw();
            }
            return result;
        }
    }
}